Page MenuHomeFreeBSD

3/7 ufs: add a setter for inode i_flag field
ClosedPublic

Authored by mjg on Jan 1 2020, 10:54 PM.

Details

Summary

This will be used later for the lazy list. The change is a nop.

The diff was generated with coccinelle.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mjg created this revision.Jan 1 2020, 10:54 PM
jeff added inline comments.
sys/ufs/ufs/inode.h
145 ↗(On Diff #66223)

Possibly we should rename i_flag to prevent accidental misuse.

kib accepted this revision.Jan 2 2020, 8:57 PM
kib added inline comments.
sys/ufs/ufs/inode.h
145 ↗(On Diff #66223)

Note that only setter was added. renaming the i_flag member would require a pass over readers.

This revision is now accepted and ready to land.Jan 2 2020, 8:57 PM
mjg retitled this revision from 1/5 ufs: add a setter for inode i_flag field to 3/7 ufs: add a setter for inode i_flag field.Jan 5 2020, 4:06 AM

What is the reason for adding this macro to set i_flags?

mjg updated this revision to Diff 66624.Jan 11 2020, 4:24 PM
mjg edited the summary of this revision. (Show Details)
  • update for r356627
This revision now requires review to proceed.Jan 11 2020, 4:24 PM
jeff accepted this revision.Jan 12 2020, 7:42 PM
This revision is now accepted and ready to land.Jan 12 2020, 7:42 PM
This revision was automatically updated to reflect the committed changes.